For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate an API key
      • GETList API keys
      • GETGet an API key
      • DELDeactivate an API key
LogoLogo
SupportDashboard
EndpointsAPI Keys

Get an API key

GET
/api-keys/:api_key_id
GET
/api/v1/api-keys/:api_key_id
$curl https://tryenvoy.ai/api/v1/api-keys/api_key_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "key_00000000-0000-0000-0000-000000000000",
3 "name": "string",
4 "organization_id": "org_00000000-0000-0000-0000-000000000000",
5 "is_active": true,
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "description": "string",
9 "expires_at": "2024-01-15T09:30:00Z",
10 "last_used_at": "2024-01-15T09:30:00Z"
11}

Get a specific API key by ID. The key value is never returned.

Authentication: Bearer token required.

Was this page helpful?
Previous

Deactivate an API key

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

api_key_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Response

Successful Response
idstringformat: "^key_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
namestring
organization_idstringformat: "^org_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
is_activeboolean
created_atdatetime
updated_atdatetime
descriptionstring or null
expires_atdatetime or null
last_used_atdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error